Bug 1000373 - (CVE-2013-2899) CVE-2013-2899 Kernel: HID: picolcd_core: NULL pointer dereference
CVE-2013-2899 Kernel: HID: picolcd_core: NULL pointer dereference
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130829,repor...
: Security
Depends On: 1000374 1002604
Blocks: 1000368
  Show dependency treegraph
 
Reported: 2013-08-23 06:07 EDT by Prasad J Pandit
Modified: 2016-03-04 05:40 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 04:38:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Prasad J Pandit 2013-08-23 06:07:50 EDT
Linux kernel built with the Human Interface Device(CONFIG_HID) support along
with the Minibox PicoLCD devices(CONFIG_HID_PICOLCD) driver is vulnerable to
a NULL pointer dereference flaw. It could occur when the HID device sends
malicious output report to the kernel driver.

A local user with physical access to the system could use this flaw to crash
the kernel resulting in DoS.
Comment 1 Prasad J Pandit 2013-08-23 06:10:23 EDT
Statement:

This issue does not affect the versions of the kernel package as shipped with Red Hat Enterprise Linux 5, 6 and Red Hat Enterprise MRG 2.
Comment 4 Prasad J Pandit 2013-08-29 10:04:35 EDT
Created kernel tracking bugs for this issue:

Affects: fedora-all [bug 1002604]
Comment 5 Fedora Update System 2013-09-12 21:05:25 EDT
kernel-3.10.11-200.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-09-15 20:27:14 EDT
kernel-3.10.11-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.